GetLegendGraphic URL for each Layer in GetCapa
2013-06-19 02:17 AM - Marco Lechner

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: QGIS Server

Pull Request or Patch stupplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 16946
Description

Some clients need the GetLegendGraphic URI to be provided as child node of Layers-tag in getCapabilities file. I'm not sure but trying to
interpret the specs this seems to be the expected behaviour usidng WMS with GetLegendGraphic and Layers, because of the links from
WMS-Standard to SLD-Standard. If it is so this should be a Blocker for 2.0

| tried to prepare a fix, but I'm not sure if this should be implemented in ggswmsserver.cpp or in qgsprojectparser.cpp
(QgsProjectParser::layersAndStylesCapabilities)

Any hint?

History

#1 - 2013-06-25 07:03 AM - René-Luc ReLuc

The element you want in the GetCapabilities is not mandatory.

QGIS-Server already provide the URL for GetLegendGraphic and WMS client can construct the URL based on layer name and style name.

| don't think it's a high priority issue.

#2 - 2013-07-26 06:09 AM - Marco Lechner
- Priority changed from High to Normal

Priority changed to normal, because feature is not mandatory.

Anyway pull request 767 https://github.com/qgis/Quantum-GIS/pull/767 adds the LegendURL node to the style section of each layer in GetCapa.

#3 - 2013-07-26 06:09 AM - Marco Lechner
- Pull Request or Patch supplied changed from No to Yes

Patch supplied by https:/github.com/qgis/Quantum-GIS/pull/767

#4 - 2013-07-29 01:22 AM - René-Luc ReLuc

New patch supplied https://github.com/qgis/Quantum-GIS/pull/774

#5 - 2013-07-29 01:26 AM - Marco Lechner
- Assignee set to Marco Hugentobler

#6 - 2013-07-29 06:30 AM - Marco Lechner

new patch (pull request 775: https://github.com/qgis/Quantum-GIS/pull/775) adds customizable legendUrl to vector and rasterlayers and uses

layer-specific legendUrl build from main GetLegend Url as fallback.

#7 - 2013-07-29 06:36 AM - Jiirgen Fischer

- Target version changed from Version 2.0.0 to Future Release - High Priority

#8 - 2014-01-31 04:05 AM - René-Luc ReLuc

- Target version changed from Future Release - High Priority to Future Release - Lower Priority

We are in feature freeze, the pull-request will be merged just after release. | have tested it, and it works fine.

#9 - 2014-06-21 04:22 AM - René-Luc ReLuc
- Resolution set to fixed/implemented
- Status changed from Open to Closed

This pull request is in master with the commit d6535a8
